ruby-geos-3.6.2-31.11.x86_64.rpm


Advertisement

Description

ruby-geos - Ruby bindings for Geometry Engine

Property Value
Distribution openSUSE Tumbleweed
Repository Science all
Package name ruby-geos
Package version 3.6.2
Package release 31.11
Package architecture x86_64
Package type rpm
Installed size 157.62 KB
Download size 58.75 KB
Official Mirror widehat.opensuse.org
GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology
Suite (JTS). As such, it aims to contain the complete functionality of
JTS in C++. This includes all the OpenGIS "Simple Features for SQL" spatial
predicate functions and spatial operators, as well as specific JTS topology
functions such as IsValid()
This package contains ruby bindings for Geometry Engine.

Alternatives

Package Version Architecture Repository
ruby-geos-3.6.2-31.11.i586.rpm 3.6.2 i586 Science
ruby-geos-3.6.2-2.1.x86_64.rpm 3.6.2 x86_64 openSUSE Oss
ruby-geos-3.6.2-2.1.i586.rpm 3.6.2 i586 openSUSE Oss
ruby-geos - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgeos_c.so.1()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
ruby(abi) >= 2.5.0

Provides

Name Value
ruby-geos = 3.6.2-31.11
ruby-geos(x86-64) = 3.6.2-31.11

Download

Type URL
Binary Package ruby-geos-3.6.2-31.11.x86_64.rpm
Source Package geos-3.6.2-31.11.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Tumbleweed/ science
  2. Install ruby-geos rpm package:
    # zypper install ruby-geos

Files

Path
/usr/lib64/ruby/vendor_ruby/2.5.0/x86_64-linux-gnu/geos.so
/usr/share/licenses/ruby-geos/COPYING

Changelog

2018-03-08 - mpluskal@suse.com
- Modernise spec file a bit
2017-11-13 - mpluskal@suse.com
- Rename python subpackage
2017-11-13 - guillaume@opensuse.org
- Update to version 3.6.2:
* Bug fixes / improvements:
+ Fix exception in UnaryUnion of collection of touching polygons (#837)
+ Allow building against python 3 (#774)
+ Fix build with android-ndk and other compilers (#799)
+ Allows compiling with -Wpointer-bool-conversion (#638)
+ Fix unhandled exception on invalid fp operation (#811)
+ Fix overloaded virtual print in DirectedEdge* (#812)
+ AppVeyor CI build added (#813)
+ Clean up numerous MSVC warnings, notably C4275 and C4589 (#814)
+ Bump CMake version to 3.0.0 (#817)
+ Fix leaks in WKT parser (#830)
2017-05-29 - mpluskal@suse.com
- Update to version 3.6.1:
* Bug fixes / improvements
+ Fix GEOSSTRtree_nearest_r signature and add implementation (#796)
+ Fix --static-clibs and --static-cclibs returns from geos-config
+ Fix WKB representation of empty polygon (#680).
+ Fix empty GEOSSimplify return on inner ring collapse (#741)
- Changes in 3.6.0
* Important / Breaking Changes:
+ The PHP binding moved to its own repository:
http://git.osgeo.org/gogs/geos/php-geos (#765)
* New things:
+ CAPI: GEOSGeom_{get,set}UserData (Rashad Kanavath)
+ CAPI: GEOSGeom_{set,get}Precision (#713)
+ CAPI: GEOSMinimumRotatedRectangle and GEOSMinimumWidth
(#729, Nyall Dawson)
+ CAPI: GEOSSTRtree_nearest (#768, Dan Baston)
+ CAPI: GEOSMinimumClearance and GEOSMinimumClearanceLine
(#776, Dan Baston)
* C++ API changes:
+ Automatic memory management for GeometryFactory objects
- Drop doc and php subpackages
- Drop no longer needed:
* geos.ini
2016-12-07 - bruno@ioda-net.ch
- Updated to 3.5.1 Bug fixes / improvements
+ Fix CMake configuration to allow build from released sources
package (#753)
+ Fix memory leaks in single-sided buffers (#747), PlanarGraph
and tests
+ Fix GeometryEditor to correctly update factory of empty
geometries (#749)
+ Fix snapping of last segment of a closed linestring (#758)
+ Fix memory exhaustion case in isvalid (#757)
+ Fix Windows build with Visual Studio 2008 (#766)
+ Fix incorrect return from prepared multipoint intersects (#764)
+ Fix build against GCC 3.5.0+ (#784)
2016-06-24 - mpluskal@suse.com
- Fix building with recent gcc
2015-11-09 - mpluskal@suse.com
- Cleanups spec file with spec-cleaner
2015-11-09 - jengelh@inai.de
- Implement shlib packaging guidelines. Drop explicit Requires,
as the python/ruby/etc. subpackages require the libraries by
SONAME already.
- Throw out repeated packaging of documentation
- RPM group classification corrections
2015-11-08 - p.drouand@gmail.com
- Update to version 3.5.0
* Voronoi API (#627)
* PHP: Geometry->normalize method
* GEOS_USE_ONLY_R_API macro support (#695)
* PHP: WKBReader->read() & WKBWriter::write() methods
* GEOSClipByRect (#699)
* CAPI: thread-safe message handling API (#663)
* Speed-up intersection and difference between geometries
with small bounding box overlap.
* CAPI: add MULTILINESTRING support for GEOSisClosed
* Added no-parameter CoordinateSequenceFactory::create method
- Update libruby.patch
- Remove depreciated %py_requires macro
2015-05-16 - schwab@linux-m68k.org
- Reenable tests on %ix86

See Also

Package Description
saga-gis-6.3.0-3.4.i586.rpm SAGA GIS - System for Automated Geoscientific Analyses
saga-gis-6.3.0-3.4.x86_64.rpm SAGA GIS - System for Automated Geoscientific Analyses
saga-gis-devel-6.3.0-3.4.i586.rpm Development files for SAGA
saga-gis-devel-6.3.0-3.4.x86_64.rpm Development files for SAGA
samtools-1.9-1.4.i586.rpm Tools for manipulating next-generation sequencing data
samtools-1.9-1.4.x86_64.rpm Tools for manipulating next-generation sequencing data
samtools-legacy-0.1.19-3.54.i586.rpm Tools for manipulating next-generation sequencing data
samtools-legacy-0.1.19-3.54.x86_64.rpm Tools for manipulating next-generation sequencing data
samtools-legacy-devel-0.1.19-3.54.i586.rpm Header files and libraries for compiling against samtools-legacy
samtools-legacy-devel-0.1.19-3.54.x86_64.rpm Header files and libraries for compiling against samtools-legacy
scalapack-mvapich2-test-2.0.2-53.1.i586.rpm Test programs for ScaLAPACK (mvapich2)
scalapack-mvapich2-test-2.0.2-53.1.x86_64.rpm Test programs for ScaLAPACK (mvapich2)
scalapack-openmpi-test-2.0.2-53.1.i586.rpm Test programs for ScaLAPACK (openmpi)
scalapack-openmpi-test-2.0.2-53.1.x86_64.rpm Test programs for ScaLAPACK (openmpi)
scalapack-openmpi2-test-2.0.2-53.1.i586.rpm Test programs for ScaLAPACK (openmpi2)
Advertisement
Advertisement